BimpДовідка

Отримання кредитів: методи API Bimp

Методи API Bimp для ресурсу «Отримання кредитів» (/org2/loanObtainment/…): 4 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

Loan obtainment documents

МетодЩо робить
POST /org2/loanObtainment/api-readA request to obtain detailed information for a particular loan obtainment document
POST /org2/loanObtainment/api-readListA request to view a list of loan obtainment documents
POST /org2/loanObtainment/api-createA request to create a loan obtainment document
POST /org2/loanObtainment/api-updateA request to update a loan obtainment document

api-read

POST /org2/loanObtainment/api-read

A request to obtain detailed information for a particular loan obtainment document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for a loan obtainment document

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)A unique uuid key for a loan obtainment document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
namestringDocument name
commentstringAn optional text field for any additional notes or comments related to the document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
statusstring (uuid)A unique uuid key for a document status
counterpartystring (uuid)A unique uuid key for the creditor (counterparty)
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
ratenumberCurrency exchange rate for the document
documentSumnumberTotal amount of the document
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
incomeItemstring (uuid)A unique uuid key for an income item
mutualSettlementTypestring (uuid)A unique uuid key for a mutual settlement type
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request
counterpartyBankAccountstring (uuid)A unique uuid key for the counterparty bank account
cashPaymentTypenumberCash payment type code
curl -X POST 'https://app.bimpsoft.com/org2/loanObtainment/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/loanObtainment/api-readList

A request to view a list of loan obtainment documents

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
filtersobjectFilters for loan obtainment list
filters.commentstringAn optional text field for any additional notes or comments related to the document
filters.organizationstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
filters.authorstring (uuid)[]A unique identifier for the Author, obtainable from the /user/api-readList request
filters.counterpartystring (uuid)[]A unique uuid key for the creditor (counterparty)
filters.paymentEntitystring (uuid)[]The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
filters.periodobject[]Date period filter [from, to]

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].namestringDocument name
[].numberstringThe document’s number. Use this field if you need to specify a custom number
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].commentstringAn optional text field for any additional notes or comments related to the document
[].documentSumnumberTotal amount of the document
[].authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
[].organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
[].counterpartystring (uuid)A unique uuid key for the creditor (counterparty)
[].currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
curl -X POST 'https://app.bimpsoft.com/org2/loanObtainment/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/loanObtainment/api-create

A request to create a loan obtainment document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitystring (uuid)такThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
counterpartystring (uuid)такA unique uuid key for the creditor (counterparty)
documentSumnumberтакTotal amount of the document
projectstring (uuid)такA unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)такA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
namestringDocument name
commentstringAn optional text field for any additional notes or comments related to the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
statusstring (uuid)A unique uuid key for a document status
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
ratenumberCurrency exchange rate for the document
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
incomeItemstring (uuid)A unique uuid key for an income item
mutualSettlementTypestring (uuid)A unique uuid key for a mutual settlement type
counterpartyBankAccountstring (uuid)A unique uuid key for the counterparty bank account
cashPaymentTypenumberCash payment type code

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/loanObtainment/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"organization":"00000000-0000-0000-0000-000000000000","paymentEntity":"00000000-0000-0000-0000-000000000000","counterparty":"00000000-0000-0000-0000-000000000000","documentSum":1,"project":"00000000-0000-0000-0000-000000000000","lineOfBusiness":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/loanObtainment/api-update

A request to update a loan obtainment document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for a loan obtainment document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
counterpartystring (uuid)A unique uuid key for the creditor (counterparty)
documentSumnumberTotal amount of the document
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
namestringDocument name
commentstringAn optional text field for any additional notes or comments related to the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
statusstring (uuid)A unique uuid key for a document status
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
ratenumberCurrency exchange rate for the document
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
incomeItemstring (uuid)A unique uuid key for an income item
mutualSettlementTypestring (uuid)A unique uuid key for a mutual settlement type
counterpartyBankAccountstring (uuid)A unique uuid key for the counterparty bank account
cashPaymentTypenumberCash payment type code

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/loanObtainment/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.